#include "partition.h"
//subtask 4
vector<int> solve(vector<int> A){
    long long n = A.size();
    vector <int> B;
    for(int i = 0; i<(n/2); i++){
        B.push_back(A[i] - 1);
        B.push_back(A[n-i-1]-1);
    }
    if( (n %2) == 1){
        int x = n/2;
        B.push_back(x);
    }

    return B;
}